package com.goafanti.common.model;

import java.math.BigDecimal;

public class TOrderNewWithBLOBs extends TOrderNew {
	private Integer serviceStatus;
	private String serviceName;
	private Integer paymentMethod;
	private BigDecimal paymentRatio;
	private BigDecimal serviceAmount;
	private String serviceRemarks;

	/**
	 * 知识产权服务 1已签 2企业已经拥有可申报高新的知识产权 3企业自行申报/已有其他合作的代理机构申报 0其他
	 */
	private Integer knowledgeServices;

	/**
	 * 审计服务 1已签 2企业已经有符合申报的年审/专审 3 业自行找会计事务所出具报告 0其他
	 */
	private Integer auditServices;

	/**
	 * 加计扣除服务 1已签 2企业不符合加计扣除范围 3企业自己已经做了加计扣除 4企业自行找其他机构做了加计扣除 0其他
	 */
	private Integer addDeductionServices;

	/**
	 * 知识产权服务其他描述
	 */
	private String knowledgeOther;

	/**
	 * 审计服务其他描述
	 */
	private String auditOther;

	/**
	 * 加计扣除服务其他描述
	 */
	private String addDeductionOther;

	private String type;
	private String typeExplain;

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getTypeExplain() {
		return typeExplain;
	}

	public void setTypeExplain(String typeExplain) {
		this.typeExplain = typeExplain;
	}

	public Integer getKnowledgeServices() {
		return knowledgeServices;
	}

	public void setKnowledgeServices(Integer knowledgeServices) {
		this.knowledgeServices = knowledgeServices;
	}

	public Integer getAuditServices() {
		return auditServices;
	}

	public void setAuditServices(Integer auditServices) {
		this.auditServices = auditServices;
	}

	public Integer getAddDeductionServices() {
		return addDeductionServices;
	}

	public void setAddDeductionServices(Integer addDeductionServices) {
		this.addDeductionServices = addDeductionServices;
	}

	public String getKnowledgeOther() {
		return knowledgeOther;
	}

	public void setKnowledgeOther(String knowledgeOther) {
		this.knowledgeOther = knowledgeOther;
	}

	public String getAuditOther() {
		return auditOther;
	}

	public void setAuditOther(String auditOther) {
		this.auditOther = auditOther;
	}

	public String getAddDeductionOther() {
		return addDeductionOther;
	}

	public void setAddDeductionOther(String addDeductionOther) {
		this.addDeductionOther = addDeductionOther;
	}

	public Integer getServiceStatus() {
		return serviceStatus;
	}
	public void setServiceStatus(Integer serviceStatus) {
		this.serviceStatus = serviceStatus;
	}
	public String getServiceName() {
		return serviceName;
	}
	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}
	public Integer getPaymentMethod() {
		return paymentMethod;
	}
	public void setPaymentMethod(Integer paymentMethod) {
		this.paymentMethod = paymentMethod;
	}
	public BigDecimal getPaymentRatio() {
		return paymentRatio;
	}
	public void setPaymentRatio(BigDecimal paymentRatio) {
		this.paymentRatio = paymentRatio;
	}
	public BigDecimal getServiceAmount() {
		return serviceAmount;
	}
	public void setServiceAmount(BigDecimal serviceAmount) {
		this.serviceAmount = serviceAmount;
	}
	public String getServiceRemarks() {
		return serviceRemarks;
	}
	public void setServiceRemarks(String serviceRemarks) {
		this.serviceRemarks = serviceRemarks;
	}



}
